ThemeControllerUpdate Method |
PUT /Theme/{id}
Updates a theme.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public virtual IActionResult Update(
Guid id,
[FromBodyAttribute] ThemeData themeData,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Overridable Function Update (
id As Guid,
<FromBodyAttribute> themeData As ThemeData,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
virtual IActionResult^ Update(
Guid id,
[FromBodyAttribute] ThemeData^ themeData,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
abstract Update :
id : Guid *
[<FromBodyAttribute>] themeData : ThemeData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
override Update :
id : Guid *
[<FromBodyAttribute>] themeData : ThemeData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult Parameters
- id
- Type: SystemGuid
The ID of the theme to update. - themeData
- Type: Dundas.BI.WebApi.ModelsThemeData
The data that needs to be modified. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
ThemeData object containing the theme, or a status code indicating the problem.
See Also